# TTimeBasedList Class Reference
[Shell Interfaces]

An array of TTimeBased objects. More...

Inheritance diagram for TTimeBasedList:

List of all members.

## Public Member Functions
void * | operator new (MCSize byteCount)
void | operator delete (void *block)
void * | operator new[] (MCSize byteCount)
void | operator delete[] (void *block)
virtual void | Clone (TTimeBasedList **, ECloneMode mode) const =0
void | CopyTBListData (ECloneMode mode, TTimeBasedList *dest) const
virtual void | TransferAllElementsFrom (TTimeBasedList *aTBList, ECloneMode cloneMode)
void | CopyElems (TMCCountedPtrArray< TTimeBased > *fromList, int32 firstIndex, int32 nbItems, int32 insertIndex)
virtual boolean | AddElem (const TTimeBased *item)
virtual boolean | InsertElem (uint32 i, const TTimeBased *item)
virtual boolean | RemoveElem (uint32 i, uint32 count)
void | Remove (TTimeBased *item)
void | RemoveAllElem ()
virtual void | CheckElementsForRead ()
virtual void MCCOMAPI | InvalidateCaches (int32 itsID, int32 itsIndex)
| You should override this if your animated data generates cached data that needs to be invalidated.
## Protected Member Functions
| TTimeBasedList ()
| ~TTimeBasedList ()
virtual void | RegisterParams ()
virtual int32 | RegisterElement (int32 index, TTimeBased *elem)=0
virtual void | CloneElement (TTimeBased **clone, ECloneMode mode, const TTimeBased *elem) const =0
virtual void | SetElement (int32 index, const TTimeBased *elem, ECloneMode cloneMode)=0
void | SynchList ()
## Protected Attributes
TMCArray< int32 > | fParamIndices
TMCArray< boolean > | fInvalidElements

## Detailed Description

An array of TTimeBased objects.

## Constructor & Destructor Documentation

TTimeBasedList::TTimeBasedList | ( |  | ) | `[protected]`

TTimeBasedList::~TTimeBasedList | ( |  | ) | `[protected]`

## Member Function Documentation

virtual boolean TTimeBasedList::AddElem | ( | const TTimeBased * | item | ) | `[virtual]`

virtual void TTimeBasedList::CheckElementsForRead | ( |  | ) | `[virtual]`

virtual void TTimeBasedList::Clone | ( | TTimeBasedList ** | ,
|  | ECloneMode | mode |
| ) |  |  | const`[pure virtual]`

virtual void TTimeBasedList::CloneElement | ( | TTimeBased ** | clone,
|  | ECloneMode | mode,
|  | const TTimeBased * | elem |
| ) |  |  | const`[protected, pure virtual]`

void TTimeBasedList::CopyElems | ( | TMCCountedPtrArray< TTimeBased > * | fromList,
|  | int32 | firstIndex,
|  | int32 | nbItems,
|  | int32 | insertIndex |
| ) |  |  |

void TTimeBasedList::CopyTBListData | ( | ECloneMode | mode,
|  | TTimeBasedList * | dest |
| ) |  |  | const

virtual boolean TTimeBasedList::InsertElem | ( | uint32 | i,
|  | const TTimeBased * | item |
| ) |  |  | `[virtual]`

virtual void MCCOMAPI TTimeBasedList::InvalidateCaches | ( | int32 | itsID,
|  | int32 | itsIndex |
| ) |  |  | `[virtual]`

You should override this if your animated data generates cached data that needs to be invalidated.

Reimplemented from TTimeBased.

void TTimeBasedList::operator delete | ( | void * | block | ) | `[inline]`

Reimplemented from TMCObject.

void TTimeBasedList::operator delete[] | ( | void * | block | ) | `[inline]`

Reimplemented from TMCObject.

void* TTimeBasedList::operator new | ( | MCSize | byteCount | ) | `[inline]`

Reimplemented from TMCObject.

void* TTimeBasedList::operator new[] | ( | MCSize | byteCount | ) | `[inline]`

Reimplemented from TMCObject.

virtual int32 TTimeBasedList::RegisterElement | ( | int32 | index,
|  | TTimeBased * | elem |
| ) |  |  | `[protected, pure virtual]`

virtual void TTimeBasedList::RegisterParams | ( |  | ) | `[protected, virtual]`

Reimplemented from TTimeBased.

void TTimeBasedList::Remove | ( | TTimeBased * | item | ) |

void TTimeBasedList::RemoveAllElem | ( |  | ) |

virtual boolean TTimeBasedList::RemoveElem | ( | uint32 | index,
|  | uint32 | count |
| ) |  |  | `[virtual]`

Removes one or more elements from the array starting from the passed in index.

Reimplemented from TMCCountedPtrArray< TTimeBased >.

virtual void TTimeBasedList::SetElement | ( | int32 | index,
|  | const TTimeBased * | elem,
|  | ECloneMode | cloneMode |
| ) |  |  | `[protected, pure virtual]`

void TTimeBasedList::SynchList | ( |  | ) | `[protected]`

virtual void TTimeBasedList::TransferAllElementsFrom | ( | TTimeBasedList * | aTBList,
|  | ECloneMode | cloneMode |
| ) |  |  | `[virtual]`

## Member Data Documentation

TMCArray<boolean> TTimeBasedList::fInvalidElements`[protected]`

TMCArray<int32> TTimeBasedList::fParamIndices`[protected]`

The documentation for this class was generated from the following file:

- AnimUtilities.h